#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
/* #include <libgnomevfs/gnome-vfs.h> */
#include <gtkhtml/gtkhtml.h>
#include <gtkhtml/gtkhtml-stream.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#include "common.h"
#include "transform.h"


/* idle functions */

gboolean do_it (void *data)
{
  xslt_load_stylesheet (data);
  xml_load_document (data);
  xslt_transform (data);
  return FALSE;
}


/* support functions */

/*
static void
open_callback (GnomeVFSAsyncHandle *handle,
	       GnomeVFSResult result,
	       DownloadInfo *info)
{
  if (result == GNOME_VFS_OK) {
    info->bufsize = 4096;
    info->buffer = info->ptr = g_new (char, info->bufsize);
    gnome_vfs_async_read (handle, info->buffer, 4095, read_callback, info);
  }
  else {
    gtk_html_stream_close (info->stream, GTK_HTML_STREAM_ERROR);
    g_free (info->uri);
    g_free (info);
    return;
  }
}
*/


/* callbacks */

void
url_requested_callback (GtkHTML *html, const char *url, GtkHTMLStream *imgstream,
		  Data *data)
{
  /*  GnomeVFSAsyncHandle *handle; */


  gchar *filename;
  
  g_message("url_requested: %s", url);

  if (strncasecmp (url, "file:", 5) == 0) {
    url += 5;
  }

  // GLIB20 filename = g_build_filename (data->doc_dirname, url);
  filename = g_strdup_printf ("%s/%s", data->doc_dirname, url);
  g_message("url_requested: filename: %s", filename);
  
  if (g_file_exists (filename)) {
    /*
    info = g_new (DownloadInfo, 1);
    info->stream = stream;
    info->uri = g_strdup(url);

    gnome_vfs_async_open (&handle, filename, GNOME_VFS_OPEN_READ,
    (GnomeVFSAsyncOpenCallback) open_callback, info);
    */

    FILE *f;
    f = fopen(filename, "rb");
    if (f != NULL) {
      char buf[4096];
      while (!feof(f) && !(ferror(f))) {
	int len;
	len = fread (buf, 1, 4096, f);
	gtk_html_stream_write (imgstream, buf, len);
      }
      fclose(f);
    }
  }

  g_free(filename);
  gtk_html_stream_close (imgstream, GTK_HTML_STREAM_OK);
}


void
on_url_callback (GtkHTML *html,
	     const char *url,
	     Data *data)
{
  g_message("on_url: %s", url);
}


int
button_press_event_callback (GtkWidget *widget, GdkEventButton *event, Data *data)
{
	g_return_val_if_fail (widget != NULL, FALSE);
	g_return_val_if_fail (event != NULL, FALSE);

	if (event->type == GDK_BUTTON_PRESS) {
	  g_message("button pressed");



	  /* load the stream */

	  //data->stream = gtk_html_begin(GTK_HTML (data->html));
	  //xslt_transform(data);
	  // gtk_html_write (GTK_HTML (data->html), data->stream, "<html><p>traadfasfas!!</html>     ", 30);
	  //gtk_html_end (GTK_HTML (data->html), data->stream, GTK_HTML_STREAM_OK);

	}
	
	return FALSE;
}

/*
on_document_change()
{
  transform();
}
*/
