/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <assert.h>

#include <gnome.h>
#include <gconf/gconf-client.h>
#include <gtkhtml/gtkhtml.h>

#include "interface.h"
#include "support.h"
#include "common.h"
#include "transform.h"

#define STYLESHEET_DIR "/stylesheets"
#define DEFAULT_STYLESHEET "/malekith/docbook.xsl"

static void
usage()
{
  g_message("Usage: give root document file name");
}


/* temporary crude hack */
#define STYLESHEET_SEARCH "/usr/share/sgml/docbook/xsl-stylesheets-*/html/docbook.xsl"
static const char *find_stylesheet()
{
  static char buf[100];
  FILE *pipe;

  pipe = popen("ls -d1 " STYLESHEET_SEARCH " | tail -1", "r");
  if (pipe == NULL) {
    g_error("fatal: cannot read from pipe");
    exit(1);
  }
  fgets(buf, 100, pipe);
  /* remove trailing newline */
  buf[strlen(buf)-1] = '\0';

  if (strlen(buf) == 0) {
    g_error("cannot find any of stylesheets: " STYLESHEET_SEARCH);
    g_error("you need docbook-style-xsl package");
    exit(1);
  }
    
  return buf;
}

int
main (int argc, char *argv[])
{
  GtkWidget *window;
  GError  *gconf_error  = NULL;
  Data data;

#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gnome_init ("thestructor", VERSION, argc, argv);

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */

  if (gtk_html_build_with_gconf()) {
    if (!gconf_init (argc, argv, &gconf_error)) {
      assert (gconf_error != NULL);
      g_error ("GConf init failed:\n  %s", gconf_error->message);
      return 1;
    }
  }

#if 1
  if (argc <= 1) {
    usage();
    exit(1);
  }
  data.doc_name = argv[argc-1];

  /* not yet working */
  // data.xslt_name = SHARE_DIR STYLESHEET_DIR DEFAULT_STYLESHEET;

  /* temporary */
  data.xslt_name = find_stylesheet();
  
#else
  data.doc_name  = "test/test-7.7-1.xml";
  data.xslt_name = "test/test-7.7-1.xsl";
#endif



  // GLIB20 data.doc_dirname = g_path_get_dirname(data.doc_name);
  data.doc_dirname = g_dirname(data.doc_name);

  
  xml_xslt_init (&data);

  
  //xml_load_document(&data);
  //xslt_load_stylesheet(&data);

  window = create_window(&data);
  gtk_widget_show(window);
  gtk_main ();

  xml_xslt_close (&data);
  // g_free(data.xslt_name);
  g_free((void*)data.doc_dirname);
  
  return 0;
}

