<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect" extension-element-prefixes="redirect"><xsl:variable name="img-root"></xsl:variable>
<xsl:variable name="icons"></xsl:variable>
<xsl:template match="*"/><xsl:template name="head"><xsl:param name="title"></xsl:param>
<head ><title ><xsl:value-of select="$title"/></title><style type="text/css">
body {
        font-family: Helvetica, sans-serif;
        font-size: 17px;
        color: #000000;
        background-color: #FFFFFF;
}
div.small {
        font-family: Helvetica, sans-serif;
        font-size: 12px;
        color: #000000;
}
div.title {
  width: 100%;
  text-align: center;
  padding: 5px;
  color: #000000;
  background-color: #edf1fa;
  font-size: 140%;
  font-weight: bold;
}
div.example {
  background-color: #eeeeee;
  padding: 3px;
}
div.example pre {
  margin: 5px;
  padding: 10px;
  background-color: #dddddd;
}
div.example h6.example {
  width: 100%;
  text-align: center;
  margin: 0px;
  padding: 2px;
}
a {
        text-decoration: none;
        color: #000099;
}
a:hover {
        text-decoration: none;
        color: #FF3300;
}</style></head></xsl:template>
<xsl:template name="navi-img"><xsl:param name="img">next</xsl:param>
<xsl:param name="align">center</xsl:param>
<xsl:param name="alt">-></xsl:param>
<xsl:param name="val"></xsl:param>
<td width="1%" align="{$align}"><xsl:choose ><xsl:when test="$val != ''"><a href="{$val}.html"><img width="30" height="30" src="{$img-root}{$img}.png" alt="{$alt}" border="0"/></a></xsl:when>
<xsl:otherwise ><img width="30" height="30" src="{$img-root}empty.png" border="0"/></xsl:otherwise>
</xsl:choose>
</td></xsl:template>
<xsl:template name="navi-stuff"><xsl:param name="next"></xsl:param>
<xsl:param name="prev"></xsl:param>
<xsl:param name="up"></xsl:param>
<table cellspacing="3" cellpadding="0" width="100%"><tr ><xsl:call-template name="navi-img"><xsl:with-param name="img">prev</xsl:with-param>
<xsl:with-param name="align">right</xsl:with-param>
<xsl:with-param name="val"><xsl:value-of select="$prev"/></xsl:with-param>
<xsl:with-param name="alt">&lt;-</xsl:with-param>
</xsl:call-template>
<xsl:call-template name="navi-img"><xsl:with-param name="img">up</xsl:with-param>
<xsl:with-param name="align">center</xsl:with-param>
<xsl:with-param name="val"><xsl:value-of select="$up"/></xsl:with-param>
<xsl:with-param name="alt">^</xsl:with-param>
</xsl:call-template>
<xsl:call-template name="navi-img"><xsl:with-param name="img">next</xsl:with-param>
<xsl:with-param name="align">left</xsl:with-param>
<xsl:with-param name="val"><xsl:value-of select="$next"/></xsl:with-param>
<xsl:with-param name="alt">-></xsl:with-param>
</xsl:call-template>
</tr></table></xsl:template>
<xsl:template name="small-navi-stuff"><xsl:param name="next"></xsl:param>
<xsl:param name="prev"></xsl:param>
<xsl:param name="up"></xsl:param>
<xsl:if test="$next != '' or $prev != ''"><div align="right"><table cellpadding="2"><tr ><xsl:if test="$prev != ''"><td ><a href="{$prev}.html"><img border="0" width="30" height="30" src="{$img-root}prev-small.png" alt="&amp;lt;-"/></a></td></xsl:if>
<xsl:if test="$next != ''"><td ><a href="{$next}.html"><img border="0" width="30" height="30" src="{$img-root}next-small.png" alt="-&gt;"/></a></td></xsl:if>
</tr></table></div></xsl:if>
</xsl:template>
<xsl:template name="title"><xsl:param name="title"></xsl:param>
<div class="title"><xsl:value-of select="$title"/></div></xsl:template>
<xsl:template name="small-toc"><xsl:param name="current-chapter">-1</xsl:param>
<xsl:param name="current-section"></xsl:param>
<table cellspacing="4" cellpadding="3"><xsl:for-each select="//part"><tr ><td align="center" bgcolor="#000066"><div class="small" style="color: #FFFFFF"><b ><xsl:number value="position()" format="I"/>. <xsl:value-of select="title"/></b></div></td></tr><xsl:for-each select="chapter"><xsl:choose ><xsl:when test="count(preceding::chapter) = $current-chapter"><tr ><td bgcolor="#EDF1FA"><xsl:choose ><xsl:when test="$icons"><table ><tr ><td valign="top" width="1%"><img src="{$img-root}icon.png"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td><td ><xsl:value-of select="title"/></td></tr></table></xsl:when>
<xsl:otherwise ><xsl:value-of select="title"/></xsl:otherwise>
</xsl:choose>
</td></tr><tr ><td ><table ><xsl:for-each select="section[parent::chapter]"><tr ><td width="20" valign="top" align="right"><xsl:if test="$icons"><img src="{$img-root}icon-small.png"/></xsl:if>
</td><td ><div class="small"><xsl:choose ><xsl:when test="@id = $current-section"><xsl:value-of select="title"/></xsl:when>
<xsl:otherwise ><a href="{@id}.html"><xsl:value-of select="title"/></a></xsl:otherwise>
</xsl:choose>
</div></td></tr></xsl:for-each>
</table></td></tr></xsl:when>
<xsl:otherwise ><tr ><td bgcolor="#EDF1FA"><xsl:choose ><xsl:when test="$icons"><table ><tr ><td valign="top" width="1%"><img src="{$img-root}icon.png"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td><td ><a href="{concat(child::section[1]/attribute::id, 
                                       '.html')}"><xsl:value-of select="title"/></a></td></tr></table></xsl:when>
<xsl:otherwise ><div class="small"><a href="{concat(child::section[1]/attribute::id, '.html')}"><xsl:value-of select="title"/></a></div></xsl:otherwise>
</xsl:choose>
</td></tr></xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<tr ><td bgcolor="#EDF1FA" align="left"><small ><a href="bookinfo.html"><xsl:value-of select="//config/bookinfo/title"/></a></small></td></tr><tr ><td bgcolor="#EDF1FA" align="left"><small ><a href="toc.html"><xsl:value-of select="//config/toc/title"/></a></small></td></tr><tr ><td bgcolor="#EDF1FA"><xsl:apply-templates select="//main/links"/></td></tr></table></xsl:template>
<xsl:template match="links"><table ><tr ><td ><b ><xsl:value-of select="//config/links/title"/></b></td></tr><xsl:for-each select="link"><tr ><td ><small ><a href="{.}"><xsl:value-of select="."/></a></small></td></tr></xsl:for-each>
</table></xsl:template>
<xsl:template mode="sec" match="*"/><xsl:template mode="sec" match="section"><h2 ><xsl:value-of select="title"/></h2><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec" match="example"><div class="example"><xsl:apply-templates mode="sec"/><h6 class="example"><xsl:value-of select="title"/></h6></div></xsl:template>
<xsl:template mode="sec" match="orderedlist"><ol ><xsl:apply-templates mode="sec"/></ol></xsl:template>
<xsl:template mode="sec" match="itemizedlist"><ul ><xsl:apply-templates mode="sec"/></ul></xsl:template>
<xsl:template mode="sec" match="listitem"><li ><xsl:apply-templates mode="sec"/></li></xsl:template>
<xsl:template mode="sec" match="emphasis"><em ><xsl:apply-templates mode="sec"/></em></xsl:template>
<xsl:template mode="sec" match="abstract"><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec" match="ulink"><a href="{@url}"><xsl:apply-templates mode="sec"/></a></xsl:template>
<xsl:template mode="sec" match="para|simpara"><p ><xsl:apply-templates mode="sec"/></p></xsl:template>
<xsl:template mode="sec" match="figure"><p align="center"><table bgcolor="#000000" cellspacing="2" cellpadding="5"><tr ><td align="center" bgcolor="#ffffff"><xsl:apply-templates mode="sec" select="mediaobject/imageobject"/></td></tr><tr ><td bgcolor="#ffffff"><div align="center"><b ><xsl:value-of select="title"/></b><br /><xsl:apply-templates mode="sec" select="mediaobject/textobject"/></div></td></tr></table></p></xsl:template>
<xsl:template mode="sec" match="imageobject"><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec" match="textobject"><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec" match="imagedata"><img src="{$img-root}{@fileref}"/></xsl:template>
<xsl:template mode="sec" match="screen"><pre ><xsl:apply-templates mode="sec"/></pre></xsl:template>
<xsl:template mode="sec" match="prompt"><font color="#206610"><xsl:apply-templates mode="sec"/></font></xsl:template>
<xsl:template mode="sec" match="command"><tt ><b ><xsl:apply-templates mode="sec"/></b></tt></xsl:template>
<xsl:template mode="sec" match="table"><table width="100%" bgcolor="#000000" cellpadding="3" cellspacing="1" caption="{title}"><xsl:apply-templates mode="sec"/></table></xsl:template>
<xsl:template mode="sec" match="tgroup"><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec" match="tbody"><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec" match="row"><tr ><xsl:apply-templates mode="sec"/></tr></xsl:template>
<xsl:template mode="sec" match="entry"><td bgcolor="#999999"><xsl:apply-templates mode="sec"/></td></xsl:template>
<xsl:template mode="sec" match="filename"><i ><tt ><xsl:apply-templates mode="sec"/></tt></i></xsl:template>
<xsl:template mode="sec" match="programlisting"><pre ><xsl:apply-templates mode="sec"/></pre></xsl:template>
<xsl:template mode="sec" match="variablelist"><p ><table width="100%" bgcolor="#000000" cellpadding="3" cellspacing="1" caption="{title}"><xsl:apply-templates mode="sec"/></table></p></xsl:template>
<xsl:template mode="sec" match="varlistentry"><tr ><xsl:apply-templates mode="sec"/></tr></xsl:template>
<xsl:template mode="sec" match="varlistentry/term"><td bgcolor="#999999" valign="top"><b ><xsl:apply-templates mode="sec"/></b></td></xsl:template>
<xsl:template mode="sec" match="varlistentry/listitem"><td bgcolor="#999999"><xsl:apply-templates mode="sec"/></td></xsl:template>
<xsl:template mode="sec" match="citerefentry"><tt ><xsl:value-of select="refentrytitle"/></tt>(<b ><xsl:value-of select="manvolnum"/></b>)</xsl:template>
<xsl:template mode="sec" match="note"><small ><xsl:apply-templates mode="sec"/></small></xsl:template>
<xsl:template mode="sec" match="address"><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec" match="email"><a href="mailto:{.}"><xsl:value-of select="."/></a></xsl:template>
<xsl:template mode="sec" match="application"><xsl:value-of select="."/></xsl:template>
<xsl:template mode="sec" match="caution|important"><font color="#ff0000"><xsl:apply-templates mode="sec"/></font></xsl:template>
<xsl:template mode="sec" match="envar"><tt ><xsl:value-of select="."/></tt></xsl:template>
<xsl:template mode="sec" match="literal"><tt ><xsl:value-of select="."/></tt></xsl:template>
<xsl:template mode="sec" match="parameter"><tt ><xsl:value-of select="."/></tt></xsl:template>
<xsl:template mode="sec" match="formalpara"><i ><xsl:value-of select="."/></i></xsl:template>
<xsl:template mode="sec" match="literallayout"><pre ><xsl:apply-templates mode="sec"/></pre></xsl:template>
<xsl:template mode="sec" match="quote">"<xsl:value-of select="."/>"</xsl:template>
<xsl:template mode="sec" match="link"><xsl:apply-templates mode="sec"/></xsl:template>
<xsl:template mode="sec-enum" match="text()"/><xsl:template mode="sec-enum" match="section"><li ><xsl:value-of select="title"/><xsl:if test="count(child::section) != 0"><ul ><xsl:apply-templates mode="sec-enum"/></ul></xsl:if>
</li></xsl:template>
<xsl:template mode="index-html" match="*"/><xsl:template mode="index-html" match="section"><table width="100%"><tr ><td valign="middle"><xsl:apply-templates mode="sec"/></td><td valign="middle"><img src="{$img-root}pld-big.png"/></td></tr></table></xsl:template>
<xsl:template mode="chap" match="text()"/><xsl:template mode="chap" match="section"><li ><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
<a href="{@id}.html"><xsl:value-of select="title"/></a><xsl:if test="count(child::section) != 0"><ul ><xsl:apply-templates mode="sec-enum"/></ul></xsl:if>
</li><redirect:write select="concat(@id, '.html')"><html ><xsl:call-template name="head"><xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
</xsl:call-template>
<body ><table cellspacing="5" width="100%" cellpadding="0"><tr ><td width="15%" valign="top"><table width="100%" cellpadding="0"><tr ><td bgcolor="#FFFFFF" align="center"><img width="130" height="85" src="{$img-root}pld-rec.png"/></td></tr></table><xsl:call-template name="small-toc"><xsl:with-param name="current-chapter"><xsl:value-of select="count(preceding::chapter)"/></xsl:with-param>
<xsl:with-param name="current-section"><xsl:value-of select="@id"/></xsl:with-param>
</xsl:call-template>
</td><td valign="top"><xsl:call-template name="title"><xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
</xsl:call-template>
<xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"><xsl:choose ><xsl:when test="@id = 'Welcome'"></xsl:when>
<xsl:otherwise ><xsl:value-of select="following::section[parent::chapter][1]/attribute::id"/></xsl:otherwise>
</xsl:choose>
</xsl:with-param>
<xsl:with-param name="prev"><xsl:value-of select="preceding::section[parent::chapter][1]/attribute::id"/></xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
<table ><tr ><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td><td ><xsl:choose ><xsl:when test="@id = 'Welcome'"><xsl:apply-templates mode="index-html" select="."/></xsl:when>
<xsl:otherwise ><xsl:apply-templates mode="sec"/></xsl:otherwise>
</xsl:choose>
</td><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td></tr></table><xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"><xsl:choose ><xsl:when test="@id = 'Welcome'"></xsl:when>
<xsl:otherwise ><xsl:value-of select="following::section[parent::chapter][1]/attribute::id"/></xsl:otherwise>
</xsl:choose>
</xsl:with-param>
<xsl:with-param name="prev"><xsl:value-of select="preceding::section[parent::chapter][1]/attribute::id"/></xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
</td></tr></table></body></html></redirect:write>
</xsl:template>
<xsl:template mode="chap" match="chapter"><redirect:write select="concat('ch', count(preceding::chapter) + 1, '.html')"><html ><xsl:call-template name="head"><xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
</xsl:call-template>
<body ><table cellspacing="5" width="100%" cellpadding="0"><tr ><td width="15%" valign="top"><table width="100%" cellpadding="0"><tr ><td bgcolor="#FFFFFF" align="center"><img width="130" height="85" src="{$img-root}pld-rec.png"/></td></tr></table><xsl:call-template name="small-toc"><xsl:with-param name="current-chapter">-1</xsl:with-param>
<xsl:with-param name="current-section"></xsl:with-param>
</xsl:call-template>
</td><td valign="top"><xsl:call-template name="title"><xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
</xsl:call-template>
<xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"><xsl:if test="count(following::chapter) &gt; 0">ch<xsl:value-of select="count(preceding::chapter) + 2"/></xsl:if>
</xsl:with-param>
<xsl:with-param name="prev"><xsl:if test="count(preceding::chapter) &gt; 0">ch<xsl:value-of select="count(preceding::chapter)"/></xsl:if>
</xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
<table ><tr ><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td><td ><xsl:apply-templates mode="chap" select="child::section"/></td><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td></tr></table><xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"><xsl:if test="count(following::chapter) &gt; 0">ch<xsl:value-of select="count(preceding::chapter) + 2"/></xsl:if>
</xsl:with-param>
<xsl:with-param name="prev"><xsl:if test="count(preceding::chapter) &gt; 0">ch<xsl:value-of select="count(preceding::chapter)"/></xsl:if>
</xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
</td></tr></table></body></html></redirect:write>
</xsl:template>
<xsl:template mode="chap" match="appendix"><redirect:write select="concat(@id, '.html')"><html ><xsl:call-template name="head"><xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
</xsl:call-template>
<body ><table cellspacing="5" width="100%" cellpadding="0"><tr ><td width="15%" valign="top"><table width="100%" cellpadding="0"><tr ><td bgcolor="#FFFFFF" align="center"><img width="130" height="85" src="{$img-root}pld-rec.png"/></td></tr></table><xsl:call-template name="small-toc"><xsl:with-param name="current-chapter">-1</xsl:with-param>
<xsl:with-param name="current-section"></xsl:with-param>
</xsl:call-template>
</td><td valign="top"><xsl:call-template name="title"><xsl:with-param name="title"><xsl:value-of select="title"/></xsl:with-param>
</xsl:call-template>
<xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"></xsl:with-param>
<xsl:with-param name="prev"></xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
<table ><tr ><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td><td ><xsl:apply-templates mode="sec"/></td><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td></tr></table><xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"></xsl:with-param>
<xsl:with-param name="prev"></xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
</td></tr></table></body></html></redirect:write>
</xsl:template>
<xsl:template mode="full-toc" match="text()"/><xsl:template mode="full-toc" match="part"><xsl:number format="I" value="count(preceding::part) + 1"/>. <b ><xsl:value-of select="title"/></b><br /><ul ><xsl:apply-templates mode="full-toc"/></ul></xsl:template>
<xsl:template mode="full-toc" match="chapter"><xsl:number value="count(preceding::chapter) + 1"/>. <a href="{concat('ch', count(preceding::chapter) + 1, '.html')}"><b ><xsl:value-of select="title"/></b></a><br /><ul ><xsl:apply-templates mode="full-toc"/></ul></xsl:template>
<xsl:template mode="full-toc" match="appendix"><xsl:number format="i" value="count(preceding::appendix) + 1"/>. <a href="{@id}.html"><b ><xsl:value-of select="title"/></b></a><br /></xsl:template>
<xsl:template mode="full-toc" match="section"><li ><a href="{@id}.html"><xsl:value-of select="title"/></a></li></xsl:template>
<xsl:template mode="book-info" match="*"/><xsl:template mode="book-info" match="abstract"><xsl:apply-templates mode="book-info"/></xsl:template>
<xsl:template mode="book-info" match="para"><p ><xsl:apply-templates mode="book-info"/></p></xsl:template>
<xsl:template mode="book-info" match="author"><li ><xsl:value-of select="firstname"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
<xsl:value-of select="surname"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
<xsl:variable name="email"><xsl:value-of select="concat(substring-before(affiliation/address/email, '@'),                             ' /at/ ',                            substring-after(affiliation/address/email, '@'))"/></xsl:variable>
 &lt;<a href="mailto:{$email}"><xsl:value-of select="$email"/></a>&gt;<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
(<xsl:value-of select="affiliation/orgname"/>)<p ><xsl:value-of select="contrib"/></p></li></xsl:template>
<xsl:template mode="book-info" match="revhistory"><ul ><xsl:apply-templates mode="book-info"/></ul></xsl:template>
<xsl:template mode="book-info" match="revision"><li ><xsl:value-of select="revnumber"/>, <xsl:value-of select="date"/>(<xsl:value-of select="authorinitials"/>)<p ><xsl:value-of select="revremark"/></p></li></xsl:template>
<xsl:template mode="book-info" match="//bookinfo"><redirect:write select="'bookinfo.html'"><html ><xsl:call-template name="head"><xsl:with-param name="title"><xsl:value-of select="//config/bookinfo/title"/></xsl:with-param>
</xsl:call-template>
<body ><table cellspacing="5" width="100%" cellpadding="0"><tr ><td width="15%" valign="top"><table width="100%" cellpadding="0"><tr ><td bgcolor="#FFFFFF" align="center"><img width="130" height="85" src="{$img-root}pld-rec.png"/></td></tr></table><xsl:call-template name="small-toc"><xsl:with-param name="current-chapter">-1</xsl:with-param>
<xsl:with-param name="current-section"></xsl:with-param>
</xsl:call-template>
</td><td valign="top"><xsl:call-template name="title"><xsl:with-param name="title"><xsl:value-of select="//config/bookinfo/title"/></xsl:with-param>
</xsl:call-template>
<xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"></xsl:with-param>
<xsl:with-param name="prev"></xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
<table ><tr ><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td><td ><div align="center"><h1 ><xsl:value-of select="title"/></h1><h3 ><xsl:value-of select="pubdate"/></h3></div><xsl:apply-templates mode="book-info" select="abstract"/><h2 ><xsl:value-of select="//config/bookinfo/authors"/></h2><ul ><xsl:apply-templates mode="book-info" select="author"/></ul><h2 ><xsl:value-of select="//config/bookinfo/revhistory"/></h2><xsl:apply-templates mode="book-info" select="revhistory"/></td><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td></tr></table><xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"></xsl:with-param>
<xsl:with-param name="prev"></xsl:with-param>
<xsl:with-param name="up">toc</xsl:with-param>
</xsl:call-template>
</td></tr></table></body></html></redirect:write>
</xsl:template>
<xsl:template match="book"><redirect:write select="'toc.html'"><html ><xsl:call-template name="head"><xsl:with-param name="title"><xsl:value-of select="//config/toc/title"/></xsl:with-param>
</xsl:call-template>
<body ><table cellspacing="5" width="100%" cellpadding="0"><tr ><td width="15%" valign="top"><table width="100%" cellpadding="0"><tr ><td bgcolor="#FFFFFF" align="center"><img width="130" height="85" src="{$img-root}pld-rec.png"/></td></tr></table><xsl:call-template name="small-toc"><xsl:with-param name="current-chapter">-1</xsl:with-param>
<xsl:with-param name="current-section"></xsl:with-param>
</xsl:call-template>
</td><td valign="top"><xsl:call-template name="title"><xsl:with-param name="title"><xsl:value-of select="//config/toc/title"/></xsl:with-param>
</xsl:call-template>
<xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"></xsl:with-param>
<xsl:with-param name="prev"></xsl:with-param>
<xsl:with-param name="up"></xsl:with-param>
</xsl:call-template>
<table ><tr ><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td><td ><xsl:apply-templates mode="full-toc" select="//part"/><xsl:apply-templates mode="chap" select="descendant::chapter"/><xsl:apply-templates mode="chap" select="descendant::appendix"/></td><td width="3%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
</td></tr></table><xsl:call-template name="small-navi-stuff"><xsl:with-param name="next"></xsl:with-param>
<xsl:with-param name="prev"></xsl:with-param>
<xsl:with-param name="up"></xsl:with-param>
</xsl:call-template>
</td></tr></table></body></html><xsl:apply-templates mode="book-info"/></redirect:write>
</xsl:template>
<xsl:template match="main"><redirect:write select="'foobarbaz.html'"><xsl:apply-templates /></redirect:write>
</xsl:template>
</xsl:stylesheet>
